View Issue Details

IDProjectCategoryView StatusLast Update
0000157MantisDroid[All Projects] Taskpublic2012-07-26 23:28
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version1.0 
Summary0000157: Add colors to issues depending on the state
DescriptionAdd colors to issues depending on the state.

#fcbdbd new
#e3b7eb feedback
#ffcd85 acknowledged
#fff494 confirmed
#c2dfff assigned
#d2f5b0 resolved
#c9ccc4 closed

Code to handle background color:

int status = status.getId();
switch status {
    case 10:
        return R.color.status_new;
    case 20:
        return R.color.status_feedback;
    case 30:
        return R.color.status_acknowledged;
    case 40:
        return R.color.status_confirmed;
    case 50:
        return R.color.status_assigned;
    case 80:
        return R.color.status_resolved;
    case 90:
        return R.color.status_closed;
    default:
        return R.color.status_other;
}

<color name="status_new">#fcbdbd</color>
<color name="status_feedback">#e3b7eb</color>
<color name="status_acknowledged">#ffcd85</color>
<color name="status_confirmed">#fff494</color>
<color name="status_assigned">#c2dfff</color>
<color name="status_resolved">#d2f5b0</color>
<color name="status_closed">#c9ccc4</color>
<color name="status_other">#ffffff</color>
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2012-05-02 08:19 e7andy New Issue
2012-05-03 13:16 e7andy Assigned To => e7andy
2012-05-03 13:16 e7andy Status new => assigned
2012-05-03 13:16 e7andy Description Updated View Revisions
2012-05-03 13:26 e7andy Description Updated View Revisions
2012-05-03 23:22 e7andy Status assigned => closed
2012-05-03 23:22 e7andy Resolution open => fixed
2012-05-03 23:22 e7andy Fixed in Version => 1.0
2012-07-26 23:28 e7andy Category Request => Task